Commit 9d5644f0 authored by Albert Vaca Cintora's avatar Albert Vaca Cintora

Don't search pulseaudio-qt on systems where it's not available

parent 3437fa5a
......@@ -24,7 +24,10 @@ else()
set(KF5_MIN_VERSION "5.42.0")
set(QT_MIN_VERSION "5.7.0")
set(KF5_REQUIRED_COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications KIO KCMUtils)
set(KF5_OPTIONAL_COMPONENTS DocTools PulseAudioQt)
set(KF5_OPTIONAL_COMPONENTS DocTools DocTools)
if(UNIX)
set(KF5_OPTIONAL_COMPONENTS ${KF5_OPTIONAL_COMPONENTS} PulseAudioQt)
endif()
set(QCA_MIN_VERSION "2.1.0")
find_package(Qca-qt5 ${QCA_MIN_VERSION} REQUIRED)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS)
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment